Package microsoft.sql

## Class Vector

- java.lang.Object
- - microsoft.sql.Vector

All Implemented Interfaces:
  `Serializable`

    public final class Vector
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Vector.VectorDimensionType`

### Constructor Summary

Constructors
`Vector​(int precision, int scale, Object[] data)` Constructor for Vector with precision and scale value.
`Vector​(int dimensionCount, Vector.VectorDimensionType vectorType, Object[] data)` Constructor for Vector with dimension count and vector type.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object[]` `getData()` Returns the data of the vector.
`int` `getDimensionCount()` Returns the number of dimensions in the vector.
`Vector.VectorDimensionType` `getVectorDimensionType()` Returns the type of the vector.
`String` `toString()` Converts the vector to a string representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Vector

    public Vector​(int dimensionCount,
                  Vector.VectorDimensionType vectorType,
                  Object[] data)

Constructor for Vector with dimension count and vector type.

Parameters:
  `dimensionCount` - The number of dimensions in the vector.
  `vectorType` - The type of the vector.
  `data` - The object array representing the vector data.

#### Vector

    public Vector​(int precision,
                  int scale,
                  Object[] data)

Constructor for Vector with precision and scale value.

Parameters:
  `precision` - The number of dimensions in the vector.
  `scale` - The scale value of the vector (4 for FLOAT32).
  `data` - The object array representing the vector data.

### Method Detail

#### getData

    public Object[] getData()

Returns the data of the vector.

Returns:
  The object array representing the vector data.

#### getDimensionCount

    public int getDimensionCount()

Returns the number of dimensions in the vector.

Returns:
  The dimension count of the vector.

#### getVectorDimensionType

    public Vector.VectorDimensionType getVectorDimensionType()

Returns the type of the vector.

Returns:
  The vector dimension type.

#### toString

    public String toString()

Converts the vector to a string representation.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of the vector.